> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Short Link

> Permanently delete a short link by its durable `id` from the create response (`slk_…`). This endpoint does not accept the 8-character `code` from the shared URL.

After deletion, the short URL stops resolving immediately and the code may be reused by a future mint.


## OpenAPI

````yaml DELETE /link/short/{id}
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /link/short/{id}:
    parameters:
      - schema:
          $ref: '#/components/schemas/ShortLinkId'
        name: id
        in: path
        required: true
    delete:
      tags:
        - Link
      summary: Delete Short Link
      description: >-
        Permanently delete a short link by its durable `id` from the create
        response (`slk_…`). This endpoint does not accept the 8-character `code`
        from the shared URL.


        After deletion, the short URL stops resolving immediately and the code
        may be reused by a future mint.
      operationId: deleteShortLink
      responses:
        '204':
          description: No Content
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '429':
          $ref: '#/components/responses/TooManyRequestsError'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '504':
          $ref: '#/components/responses/GatewayTimeoutError'
components:
  schemas:
    ShortLinkId:
      title: ShortLinkId
      description: >-
        Unique identifier for a short link. Returned on create and required to
        delete the short link.
      type: string
      format: ulid
      pattern: ^slk_[0-9A-HJKMNP-TV-Z]{26}$
      example: slk_01JB7K3N2QZP7TVR4FX8SDWFH9
    ErrorPathDetail:
      title: ErrorPathDetail
      type: object
      properties:
        message:
          type: string
          example: '''vehicleId'' property must be a valid ulid'
        path:
          type: string
          example: '{requestQuery}.vehicleId'
        suggestion:
          type: string
          example: Please ensure you submit a valid 'vehicleId' property
        context:
          type: object
      required:
        - message
        - path
  responses:
    BadRequestError:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                enum:
                  - bad_request
              message:
                type: string
                example: Invalid request body
              detail:
                type: array
                items:
                  $ref: '#/components/schemas/ErrorPathDetail'
            required:
              - code
              - message
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                enum:
                  - unauthorized
              message:
                type: string
                example: Unauthorized Request
              detail:
                type: string
                example: Please ensure you have a valid API key
            required:
              - code
              - message
    ForbiddenError:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                enum:
                  - forbidden
              message:
                type: string
                example: Forbidden Request
              detail:
                type: string
                example: >-
                  Please ensure the connection token matches the resource you
                  are attempting to access.
            required:
              - code
              - message
    NotFoundError:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                enum:
                  - not_found
              message:
                type: string
                example: Resource not found
              detail:
                type: string
                example: 'Could not find resource with ID: 2342342'
            required:
              - code
              - message
    TooManyRequestsError:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            additionalProperties: true
            properties:
              code:
                enum:
                  - too_many_requests
              retryAfter:
                description: The number of seconds to wait before retrying the request
                type: integer
                example: 60
              message:
                type: string
                example: Too Many Requests
              detail:
                type: string
                example: You have exceeded your rate limit. Please try again later.
            required:
              - code
              - message
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                enum:
                  - internal_server_error
              message:
                type: string
                example: Internal Server Error
              detail:
                type: string
                example: Something went wrong
            required:
              - code
              - message
    GatewayTimeoutError:
      description: Gateway Timeout Error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                enum:
                  - gateway_timeout
              message:
                type: string
                example: Gateway Timeout
            required:
              - code
              - message
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.